Bug 144135 - CAN-2004-1235 isec.pl do_brk() privilege escalation
Summary: CAN-2004-1235 isec.pl do_brk() privilege escalation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: reported=20041222,public=20050106,imp...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-04 19:37 UTC by Josh Bressers
Modified: 2015-01-04 22:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 03:00:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-04 19:37:09 UTC
isec.pl reported a missing down() on mmap_sem semaphore whilst calling do_brk;
so if do_brk() sleeps on a kmalloc it may get into a VMA list race - leading to
results similar to the do_brk exploit.

Comment 2 Josh Bressers 2005-01-04 19:52:10 UTC
Attachment 109344 [details]
is the proposed patch for this issue.

Comment 3 Josh Bressers 2005-01-04 19:54:41 UTC
This issue should also affect FC2.

Comment 4 Dave Jones 2005-01-11 03:00:56 UTC
fixed in todays updates.



Note You need to log in before you can comment on or make changes to this bug.